26 дек. 2013 г.

IBM/Brocade problem with access to WebTools with JRE 1.7 (update 45)

Выяснилось, что вледствие ужесточений некоторых настроек безопасности актуальный на сегодняшний день релиз JRE7 - u45 - запрещает запуск java-апплетов для управления старенькими оптическими коммутаторами от IBM/Brocade. Вылечить достаточно просто: в файле \lib\security\java.secutity нужно найти строчку
jdk.certpath.disabledAlgorithms=MD2, RSA keySize < 1024
и исправить ее на 
jdk.certpath.disabledAlgorithms=MD2
Судя по этим вашим интернетам, в старых релизах fabric os (пятой версии) используется RSA длиной в 256 бит, что сегодня считается очень небезопасным, а данное изменение в конфиге отключает проверку длины ключа при запуске апплета.